---
title: "Payment Links"
source_url: https://docs.rapyd.net/en/payment-links-445534.html
lang: en
---

# Payment Links

Create pages that can be reused for payment requests.

Payment Links can be added to SMS, WhatsApp, invoices, emails or anywhere you can paste a link. Once you generate a payment link from your Rapyd account, a pre-payment page is created for the customer that has a set payment amount, or an open payment amount that can be edited.

The customer is then redirected to a payment page with the selected amount to complete the payment. In the future, the customer can reuse the same link to payment with the same set or custom amount.

### Payment Link Example

1. Click **Proceed to Payment**.

   ![save-card-details-rapyd-checkout-flow-1.png](image/img-f6d7e8b06794a82ef8835dd8e4a4d4f1.png)
2. Select your Payment Method Type. Enter the payment method details.
3. Click **Place Your Order** to complete the payment.

   ![payment-links-flow-2.png](image/img-a490089409ce7bb09024b6303d0e527b.png)
4. The Payment confirmation page appears.

   ![payment-links-flow-3.png](image/img-7806c78439c749f6f7a67d845b1462e6.png)

### Payment Link Workflow

![payment-links-flow-4.png](image/img-c122ff6b822a425ab191c3c9a759b86f.png)

1. You generate a payment link via API request.
2. The customer clicks on the payment link and a pre-payment page is displayed. The customer sees a fixed amount OR enters a custom amount to pay and clicks **Continue**.
3. Rapyd automatically redirects the customer to the payment page to complete the payment.
4. Customer completes the payment with their desired payment method.
5. Rapyd sends a webhook to you and you notify the customer.

**Note**: If the customer returns to the payment link, the link is reusable and provides the customer with the ability to create another payment.

> **Note:**
>
> You can create a payment link and collect the currency of your choice using FX. Your customer can pay in one currency, while you collect the funds in a different currency using FX. Pass the `fixed_side` and `requested_currency` fields in the request body.

### How Payment Links Work

You can create a payment link using the Rapyd API with [Create Payment Link](https://docs.rapyd.net/en/create-payment-link.md "Create Payment Link").

Description of Path Parameters

See [Create Payment Link](https://docs.rapyd.net/en/create-payment-link.md "Create Payment Link") for additional details about the parameters.

| Path Parameter | Required | Description |
| --- | --- | --- |
| max_payments | no | The number of times a payment link can be used for payment before expiring. |

Description of Body Parameters

| Body Parameter | Required | Description |
| --- | --- | --- |
| amount | yes | The amount of the payment, in units of currency defined in **currency**. |
| country | yes | The two-letter ISO 3166-1 ALPHA-2 code for the country. |
| currency | yes | In transactions without FX, defines the currency of the transaction. Three-letter ISO 4217 code.  In FX transactions:  - When `fixed_side` is **buy**, it is the currency received in the Rapyd wallet. - When `fixed_side` is **sell**, it is the currency charged to the buyer. |
| fixed_side | no | Indicates whether the FX rate is fixed for the buy side (seller) or for the sell side (buyer).  - **buy** - The currency that the Rapyd Wallet receives for goods or services. Fixed side buy relates to the seller (merchant) funds. - **sell** - The currency that the buyer is charged for purchasing goods or services. Fixed side sell relates to the buyer (customer) funds. |
| requested_currency | no | Currency for one side of an FX transaction. Three-letter ISO 4217 code.  - When `fixed_side` is **sell**, it is the currency received in the Rapyd Wallet. - When `fixed_side` is **buy**, it is the currency charged to the buyer (customer). |

### Create Payment Link Request

- - Request

    - ```
      // Request URL: POST https://sandboxapi.rapyd.net/v1/hosted/collect/payments                                        
      // Message body: 

      {
         "country": "US",
         "currency": "USD",
         "amount": "200",
         "merchant_reference_id": "payment link",
         "language": "EN",
         "checkout": {
           "error_payment_url": "https://www.rapyd.net",
           "complete_payment_url": "https://www.rapyd.net"
         }
      }
      ```

### Create Payment Link Response

[Create Payment Link](https://docs.rapyd.net/en/create-payment-link.md "Create Payment Link") describes the fields in the response.

- - Response

    - ```
      {
         "status": {
             "error_code": "",
             "status": "SUCCESS",
             "message": "",
             "response_code": "",
             "operation_id": "72697a92-cf9d-4626-8712-b3f48111f3a7"
         },
         "data": {
             "id": "hp_reuse_bf49164ab53b44f3a961aa4bec6659f4",
             "amount": 200,
             "currency": "USD",
             "country": "US",
             "amount_is_editable": false,
             "merchant_reference_id": "payment link",
             "template": {
                 "error_payment_url": "https://www.rapyd.net",
                 "complete_payment_url": "https://www.rapyd.net"
             },
             "customer": "",
             "requested_currency": null,
             "fixed_side": null,
             "status": "NEW",
             "language": "en",
             "org_id": "20044f9b-8f6d-41d9-a106-c6d2c0f54d92",
             "merchant_color": "",
             "merchant_logo": "",
             "merchant_website": "https://www.rapyd.net",
             "merchant_customer_support": {},
             "merchant_alias": "N/A",
             "merchant_terms": "",
             "merchant_privacy_policy": "",
             "page_expiration": 1745703479,
             "redirect_url": "https://sbox.rapyd.ly/pay/xD8bROm3"
         }
      }
      ```
